APIs / Leboncoin Autos / Search
Leboncoin Autos: Search
Search from Leboncoin Autos as JSON. 1 credit per successful call.
GET /v1/leboncoin-autos/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
brand[] | list of string | Optional | Up to 60 characters |
model[] | list of string | Optional | Up to 60 characters |
fuel[] | list of string | Optional | 1, 2, 3, 4, 5, 6 |
gearbox[] | list of string | Optional | 1, 2 |
vehicle_type[] | list of string | Optional | citadine, berline, break, suv, coupe, cabriolet, monospace, utilitaire, autre |
price_min | integer | Optional | Any |
price_max | integer | Optional | Any |
mileage_min | integer | Optional | Any |
mileage_max | integer | Optional | Any |
regdate_min | integer | Optional | Any |
regdate_max | integer | Optional | Any |
keywords | string | Optional | Up to 200 characters |
location[city] | string | Optional | Up to 120 characters |
location[zipcode] | string | Optional | Up to 10 characters |
location[department_id] | string | Optional | Up to 10 characters |
location[region_id] | string | Optional | Up to 10 characters |
owner_type | string | Optional | all, pro, private |
sort_by | string | Optional | relevance, time, price, proximity |
sort_order | string | Optional | asc, desc |
page | integer | Optional | Any |
limit | integer | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/leboncoin-autos/search?price_min=5000&price_max=20000®date_min=2015&limit=3" \
-H "X-API-Key: $API_KEY"Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.